
Ryzom - Bug # 1429

Status: Assigned Priority: Urgent
Author: Botanic Category: Tools: Build Gamedata
Created: 02/19/2012 Assignee: kaetemi
Updated: 04/12/2012 Due date:
Subject: Building Crashes during max export
Description

subprocess.call([ Max, "-U", "MAXScript", "shape_export.ms", "-q", "-mi", "-vn" ])

when exporting shapes in process\shape\1_export.py

should be

subprocess.call([ Max, "-U", "MAXScript", "shape_export.ms", "-q", "-mi" ])

-vn causes it to load the null display driver which can cause issues on some systems.

In all honesty i dont know of any cases when -vn should be used.

History
#1 - 02/19/2012 04:56 am - Botanic

do note that using -vn forces it to use directx not whatever the user specifies which means if there is not directx installed or its trying to use an
incompatible version it will crash over and over.

#2 - 02/20/2012 11:08 pm - Botanic

# HG changeset patch
# User Administrator@buildbox.tempestintheaether.org
# Date 1329650105 28800
# Node ID 855a9dd6241e4ec9fdb97566e62aa5a52e490107
# Parent  bc024ece3ce426342a3fad85d35ba2451ec70af3
fix max using only directx

diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/generators/simple_max_exporter_template/1_export_header.py
--- a/code/nel/tools/build_gamedata/generators/simple_max_exporter_template/1_export_header.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/generators/simple_max_exporter_template/1_export_header.py    Sun Feb 19 03:15:05 2012 -0800
@@ -82,7 +82,7 @@
             sDst.close()
             while tagDiff > 0:
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "%PreGenFileExtension%_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "%PreGenFileExtension%_export.ms", "-q", "-mi" ])
                 tagList = findFiles(log, outputDirectory, "", ".%PreGenFileExtension%")
                 newTagLen = len(tagList)
                 tagDiff = newTagLen - tagLen
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/generators/tagged_max_exporter_template/1_export_header.py
--- a/code/nel/tools/build_gamedata/generators/tagged_max_exporter_template/1_export_header.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/generators/tagged_max_exporter_template/1_export_header.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "%PreGenFileExtension%_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "%PreGenFileExtension%_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/_dummy/1_export.py
--- a/code/nel/tools/build_gamedata/processes/_dummy/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/_dummy/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -99,7 +99,7 @@
     #    sDst.close()
     #    while tagDiff > 0:
     #        printLog(log, "MAXSCRIPT " + scriptDst)
-    #        subprocess.call([ Max, "-U", "MAXScript", "dummy_export.ms", "-q", "-mi", "-vn" ])
+    #        subprocess.call([ Max, "-U", "MAXScript", "dummy_export.ms", "-q", "-mi" ])
     #        tagList = findFiles(log, outDirTag, "", ".tag")
     #        newTagLen = len(tagList)
     #        tagDiff = newTagLen - tagLen
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/anim/1_export.py
--- a/code/nel/tools/build_gamedata/processes/anim/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/anim/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "anim_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "anim_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/clodbank/1_export.py
--- a/code/nel/tools/build_gamedata/processes/clodbank/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/clodbank/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "clod_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "clod_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/ig/1_export.py
--- a/code/nel/tools/build_gamedata/processes/ig/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/ig/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -78,7 +78,7 @@
             mrt.write("moe-moe-kyun")
             mrt.close()
             printLog(log, "MAXSCRIPT " + scriptDst)
-            subprocess.call([ Max, "-U", "MAXScript", "ig_export.ms", "-q", "-mi", "-vn" ])
+            subprocess.call([ Max, "-U", "MAXScript", "ig_export.ms", "-q", "-mi" ])
             if os.path.exists(outputLogfile):
                 try:
                     lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/ligo/1_export.py
--- a/code/nel/tools/build_gamedata/processes/ligo/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/ligo/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
         sDst.close()

         printLog(log, "MAXSCRIPT " + scriptDst)
-        subprocess.call([ Max, "-U", "MAXScript", "nel_ligo_export.ms", "-q", "-mi", "-vn" ])
+        subprocess.call([ Max, "-U", "MAXScript", "nel_ligo_export.ms", "-q", "-mi" ])

         os.remove(scriptDst)
     printLog(log, "")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/pacs_prim/1_export.py
--- a/code/nel/tools/build_gamedata/processes/pacs_prim/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/pacs_prim/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -82,7 +82,7 @@
             sDst.close()
             while tagDiff > 0:
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "pacs_prim_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "pacs_prim_export.ms", "-q", "-mi" ])
                 tagList = findFiles(log, outputDirectory, "", ".pacs_prim")
                 newTagLen = len(tagList)
                 tagDiff = newTagLen - tagLen
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/rbank/1_export.py
--- a/code/nel/tools/build_gamedata/processes/rbank/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/rbank/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "cmb_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "cmb_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/shape/1_export.py
--- a/code/nel/tools/build_gamedata/processes/shape/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/shape/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -112,7 +112,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "shape_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "shape_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/skel/1_export.py
--- a/code/nel/tools/build_gamedata/processes/skel/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/skel/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -82,7 +82,7 @@
             sDst.close()
             while tagDiff > 0:
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "skel_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "skel_export.ms", "-q", "-mi" ])
                 tagList = findFiles(log, outputDirectory, "", ".skel")
                 newTagLen = len(tagList)
                 tagDiff = newTagLen - tagLen
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/swt/1_export.py
--- a/code/nel/tools/build_gamedata/processes/swt/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/swt/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -82,7 +82,7 @@
             sDst.close()
             while tagDiff > 0:
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "swt_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "swt_export.ms", "-q", "-mi" ])
                 tagList = findFiles(log, outputDirectory, "", ".swt")
                 newTagLen = len(tagList)
                 tagDiff = newTagLen - tagLen
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/veget/1_export.py
--- a/code/nel/tools/build_gamedata/processes/veget/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/veget/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -93,7 +93,7 @@
                 mrt.write("moe-moe-kyun")
                 mrt.close()
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "veget_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "veget_export.ms", "-q", "-mi" ])
                 if os.path.exists(outputLogfile):
                     try:
                         lSrc = open(outputLogfile, "r")
diff -r bc024ece3ce4 -r 855a9dd6241e code/nel/tools/build_gamedata/processes/zone/1_export.py
--- a/code/nel/tools/build_gamedata/processes/zone/1_export.py    Wed Dec 07 07:30:30 2011 -0600
+++ b/code/nel/tools/build_gamedata/processes/zone/1_export.py    Sun Feb 19 03:15:05 2012 -0800
@@ -82,7 +82,7 @@
             sDst.close()
             while tagDiff > 0:
                 printLog(log, "MAXSCRIPT " + scriptDst)
-                subprocess.call([ Max, "-U", "MAXScript", "zone_export.ms", "-q", "-mi", "-vn" ])
+                subprocess.call([ Max, "-U", "MAXScript", "zone_export.ms", "-q", "-mi" ])
                 tagList = findFiles(log, outputDirectory, "", ".zone")
                 newTagLen = len(tagList)
                 tagDiff = newTagLen - tagLen

#3 - 03/02/2012 10:03 pm - kaetemi
- Status changed from New to Validated

#4 - 04/12/2012 08:06 pm - kaetemi
- Priority changed from Normal to Urgent

#5 - 04/12/2012 08:06 pm - kaetemi
- Category changed from Build to Tools: Build Gamedata
- Target version set to Version 0.9.0

#6 - 04/12/2012 08:07 pm - kaetemi
- Status changed from Validated to Assigned
